> ## Documentation Index
> Fetch the complete documentation index at: https://chainstack-docs-polygon-flatcalltracer-getproof.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# bor_getAuthor | Polygon

> Polygon API method bor_getAuthor returns the validator address that produced a given block. On Polygon via Chainstack.

Polygon API method `bor_getAuthor` returns the address of the validator that produced (signed) a given block on the Bor consensus layer.

## Parameters

* `block` — the block number in hexadecimal (for example, `0x561294b`), or a block hash.

## Response

* `result` — the address of the validator that authored the block.

```json theme={"system"}
{ "jsonrpc": "2.0", "id": 1, "result": "0x0e94b9b3fabd95338b8b23c36caae1d640e1339f" }
```

## Use case

`bor_getAuthor` is used by explorers and analytics tools to attribute each block to the validator that produced it on Polygon.


## OpenAPI

````yaml openapi/polygon_node_api/bor/bor_getAuthor.json POST /a9bca2f0f84b54086ceebe590316fff3
openapi: 3.0.0
info:
  title: bor_getAuthor example
  version: 1.0.0
  description: Get the address that produced (signed) a given block.
servers:
  - url: https://nd-828-700-214.p2pify.com
security: []
paths:
  /a9bca2f0f84b54086ceebe590316fff3:
    post:
      tags:
        - Ethereum Operations
      summary: bor_getAuthor
      operationId: bor_getAuthor
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                method:
                  type: string
                  default: bor_getAuthor
                id:
                  type: integer
                  default: 1
                params:
                  type: array
                  default:
                    - '0x561294b'
                  items:
                    type: string
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                  id:
                    type: integer
                  result:
                    type: string

````